Bug 214748 - games/flightgear: Make QT optional
Summary: games/flightgear: Make QT optional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords: easy, feature
Depends on:
Blocks:
 
Reported: 2016-11-22 16:29 UTC by Michael Danilov
Modified: 2016-11-28 11:22 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
games/flightgear (841 bytes, patch)
2016-11-22 16:29 UTC, Michael Danilov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Danilov 2016-11-22 16:29:20 UTC
Created attachment 177286 [details]
games/flightgear

Hello,

It is possible to build FlightGear without depebndency on QT, and it works just fine.

Greetings,
Mike
Comment 1 Ganael LAPLANCHE freebsd_committer 2016-11-25 11:30:17 UTC
That option will be part of version 2016.4.2 ...still cooking :)
Comment 2 Kubilay Kocak freebsd_committer 2016-11-25 11:37:42 UTC
@Ganae If you can please keep non-version-update changes separate (and committed first) so they can be merged to the quarterly branch
Comment 3 Ganael LAPLANCHE freebsd_committer 2016-11-25 12:12:59 UTC
Yep, no pb, thanks :)
Comment 4 commit-hook freebsd_committer 2016-11-25 15:39:58 UTC
A commit references this bug:

Author: martymac
Date: Fri Nov 25 15:39:37 UTC 2016
New revision: 427116
URL: https://svnweb.freebsd.org/changeset/ports/427116

Log:
  Make QT5 optional

  PR:		214748
  Submitted by:	Michael Danilov <mike.d.ft402@gmail.com>
  MFH:		2016Q4

Changes:
  head/games/flightgear/Makefile
Comment 5 Ganael LAPLANCHE freebsd_committer 2016-11-25 15:41:32 UTC
Committed with a few changes, thanks!
Comment 6 Kubilay Kocak freebsd_committer 2016-11-27 04:38:57 UTC
Set merge-quarterly flag
Comment 7 commit-hook freebsd_committer 2016-11-28 11:21:23 UTC
A commit references this bug:

Author: martymac
Date: Mon Nov 28 11:20:24 UTC 2016
New revision: 427297
URL: https://svnweb.freebsd.org/changeset/ports/427297

Log:
  MFH: r427116

  Make QT5 optional

  PR:		214748
  Submitted by:	Michael Danilov <mike.d.ft402@gmail.com>

  Approved by:	ports-secteam

Changes:
_U  branches/2016Q4/
  branches/2016Q4/games/flightgear/Makefile
Comment 8 Ganael LAPLANCHE freebsd_committer 2016-11-28 11:22:06 UTC
Merged to 2016Q4